/*===========================================================================*/
/*   (Unsafe/regexp.scm)                                                     */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/regexp.scm -o objs/obj_p/Unsafe/regexp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___REGEXP_TYPE_DEFINITIONS
#define BGL___REGEXP_TYPE_DEFINITIONS
#endif // BGL___REGEXP_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2quotezd2zz__regexpz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_regexpzd2patternzd2zz__regexpz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_regexpzf3zf3zz__regexpz00(obj_t);
static obj_t BGl_z62regexpzf3z91zz__regexpz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__regexpz00 = BUNSPEC;
static obj_t BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00(obj_t, obj_t, long);
static obj_t BGl__pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00(obj_t, obj_t);
static obj_t BGl_list1742z00zz__regexpz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_matchz00zz__regexpz00(obj_t, obj_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_pregexpzd2listzd2refz00zz__regexpz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2replaceza2z70zz__regexpz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00(obj_t, obj_t, obj_t, long, long, obj_t);
static obj_t BGl_z62pregexpzd2quotezb0zz__regexpz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__regexpz00(void);
static obj_t BGl_genericzd2initzd2zz__regexpz00(void);
static obj_t BGl__pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__regexpz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__regexpz00(void);
static obj_t BGl_objectzd2initzd2zz__regexpz00(void);
extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_pregexpzd2replacezd2auxz00zz__regexpz00(obj_t, obj_t, long, obj_t);
static obj_t BGl__pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t);
extern obj_t BGl_memvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpz00zz__regexpz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_z62pregexpz62zz__regexpz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2splitzd2zz__regexpz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2replacezd2zz__regexpz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62pregexpzd2replacezb0zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_regcomp(obj_t, obj_t, bool_t);
static obj_t BGl_z62pregexpzd2replaceza2z12zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62regexpzd2patternzb0zz__regexpz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__regexpz00(void);
static obj_t BGl_z62regexpzd2capturezd2countz62zz__regexpz00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__regexpz00(void);
BGL_EXPORTED_DECL obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62pregexpzd2splitzb0zz__regexpz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_regexpzd2capturezd2countz00zz__regexpz00(obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2envzd2zz__regexpz00, BgL_bgl_za762pregexpza762za7za7_1745z00, va_generic_entry, BGl_z62pregexpz62zz__regexpz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_regexpzd2capturezd2countzd2envzd2zz__regexpz00, BgL_bgl_za762regexpza7d2capt1746z00, BGl_z62regexpzd2capturezd2countz62zz__regexpz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2splitzd2envz00zz__regexpz00, BgL_bgl_za762pregexpza7d2spl1747z00, BGl_z62pregexpzd2splitzb0zz__regexpz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2quotezd2envz00zz__regexpz00, BgL_bgl_za762pregexpza7d2quo1748z00, BGl_z62pregexpzd2quotezb0zz__regexpz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_regexpzd2patternzd2envz00zz__regexpz00, BgL_bgl_za762regexpza7d2patt1749z00, BGl_z62regexpzd2patternzb0zz__regexpz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2replacezd2envz00zz__regexpz00, BgL_bgl_za762pregexpza7d2rep1750z00, BGl_z62pregexpzd2replacezb0zz__regexpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_regexpzf3zd2envz21zz__regexpz00, BgL_bgl_za762regexpza7f3za791za71751z00, BGl_z62regexpzf3z91zz__regexpz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1727z00zz__regexpz00, BgL_bgl_string1727za700za7za7_1752za7, "/builddir/build/BUILD/bigloo-4.5b/runtime/Unsafe/regexp.scm", 59 );
DEFINE_STRING( BGl_string1728z00zz__regexpz00, BgL_bgl_string1728za700za7za7_1753za7, "&regexp-pattern", 15 );
DEFINE_STRING( BGl_string1729z00zz__regexpz00, BgL_bgl_string1729za700za7za7_1754za7, "regexp", 6 );
DEFINE_STRING( BGl_string1730z00zz__regexpz00, BgL_bgl_string1730za700za7za7_1755za7, "&regexp-capture-count", 21 );
DEFINE_STRING( BGl_string1731z00zz__regexpz00, BgL_bgl_string1731za700za7za7_1756za7, "&pregexp", 8 );
DEFINE_STRING( BGl_string1732z00zz__regexpz00, BgL_bgl_string1732za700za7za7_1757za7, "bstring", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2replaceza2zd2envza2zz__regexpz00, BgL_bgl_za762pregexpza7d2rep1758z00, BGl_z62pregexpzd2replaceza2z12zz__regexpz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1733z00zz__regexpz00, BgL_bgl_string1733za700za7za7_1759za7, "_pregexp-match-positions", 24 );
DEFINE_STRING( BGl_string1734z00zz__regexpz00, BgL_bgl_string1734za700za7za7_1760za7, "_pregexp-match-n-positions!", 27 );
DEFINE_STRING( BGl_string1735z00zz__regexpz00, BgL_bgl_string1735za700za7za7_1761za7, "vector", 6 );
DEFINE_STRING( BGl_string1736z00zz__regexpz00, BgL_bgl_string1736za700za7za7_1762za7, "bint", 4 );
DEFINE_STRING( BGl_string1737z00zz__regexpz00, BgL_bgl_string1737za700za7za7_1763za7, "_pregexp-match", 14 );
DEFINE_STRING( BGl_string1738z00zz__regexpz00, BgL_bgl_string1738za700za7za7_1764za7, "", 0 );
DEFINE_STRING( BGl_string1739z00zz__regexpz00, BgL_bgl_string1739za700za7za7_1765za7, "&pregexp-split", 14 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2matchzd2nzd2positionsz12zd2envz12zz__regexpz00, BgL_bgl__pregexpza7d2match1766za7, opt_generic_entry, BGl__pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00, BFALSE, -1 );
DEFINE_STRING( BGl_string1740z00zz__regexpz00, BgL_bgl_string1740za700za7za7_1767za7, "&pregexp-replace", 16 );
DEFINE_STRING( BGl_string1741z00zz__regexpz00, BgL_bgl_string1741za700za7za7_1768za7, "&pregexp-replace*", 17 );
DEFINE_STRING( BGl_string1743z00zz__regexpz00, BgL_bgl_string1743za700za7za7_1769za7, "&pregexp-quote", 14 );
DEFINE_STRING( BGl_string1744z00zz__regexpz00, BgL_bgl_string1744za700za7za7_1770za7, "__regexp", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2matchzd2positionszd2envzd2zz__regexpz00, BgL_bgl__pregexpza7d2match1771za7, opt_generic_entry, BGl__pregexpzd2matchzd2positionsz00zz__regexpz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pregexpzd2matchzd2envz00zz__regexpz00, BgL_bgl__pregexpza7d2match1772za7, opt_generic_entry, BGl__pregexpzd2matchzd2zz__regexpz00, BFALSE, -1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__regexpz00) );
ADD_ROOT( (void *)(&BGl_list1742z00zz__regexpz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"regexp?\" \"Unsafe/regexp.scm\" 4021) \"BGl_regexpzf3zf3zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&regexp?\" \"Unsafe/regexp.scm\" 4021) \"BGl_z62regexpzf3z91zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"regexp-pattern\" \"Unsafe/regexp.scm\" 4292) \"BGl_regexpzd2patternzd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&regexp-pattern\" \"Unsafe/regexp.scm\" 4292) \"BGl_z62regexpzd2patternzb0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"regexp-capture-count\" \"Unsafe/regexp.scm\" 4575) \"BGl_regexpzd2capturezd2countz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&regexp-capture-count\" \"Unsafe/regexp.scm\" 4575) \"BGl_z62regexpzd2capturezd2countz62zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp\" \"Unsafe/regexp.scm\" 5214) \"BGl_pregexpz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp\" \"Unsafe/regexp.scm\" 5214) \"BGl_z62pregexpz62zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_match\" \"Unsafe/regexp.scm\" 5499) \"BGl__matchz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"match\" \"Unsafe/regexp.scm\" 5499) \"BGl_matchz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_pregexp-match-positions\" \"Unsafe/regexp.scm\" 5985) \"BGl__pregexpzd2matchzd2positionsz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-match-positions\" \"Unsafe/regexp.scm\" 5985) \"BGl_pregexpzd2matchzd2positionsz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_pregexp-match-n-positions!\" \"Unsafe/regexp.scm\" 6344) \"BGl__pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-match-n-positions!\" \"Unsafe/regexp.scm\" 6344) \"BGl_pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_pregexp-match\" \"Unsafe/regexp.scm\" 6708) \"BGl__pregexpzd2matchzd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-match\" \"Unsafe/regexp.scm\" 6708) \"BGl_pregexpzd2matchzd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-read-escaped-number\" \"Unsafe/regexp.scm\" 7039) \"BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-list-ref\" \"Unsafe/regexp.scm\" 7741) \"BGl_pregexpzd2listzd2refz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-replace-aux\" \"Unsafe/regexp.scm\" 8173) \"BGl_pregexpzd2replacezd2auxz00zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-split\" \"Unsafe/regexp.scm\" 9145) \"BGl_pregexpzd2splitzd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp-split\" \"Unsafe/regexp.scm\" 9145) \"BGl_z62pregexpzd2splitzb0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-replace\" \"Unsafe/regexp.scm\" 10009) \"BGl_pregexpzd2replacezd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp-replace\" \"Unsafe/regexp.scm\" 10009) \"BGl_z62pregexpzd2replacezb0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-replace*\" \"Unsafe/regexp.scm\" 10567) \"BGl_pregexpzd2replaceza2z70zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp-replace*\" \"Unsafe/regexp.scm\" 10567) \"BGl_z62pregexpzd2replaceza2z12zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"pregexp-quote\" \"Unsafe/regexp.scm\" 11606) \"BGl_pregexpzd2quotezd2zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pregexp-quote\" \"Unsafe/regexp.scm\" 11606) \"BGl_z62pregexpzd2quotezb0zz__regexpz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long BgL_checksumz00_2229, char * BgL_fromz00_2230)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__regexpz00))
{ 
BGl_requirezd2initializa7ationz75zz__regexpz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__regexpz00(); 
BGl_cnstzd2initzd2zz__regexpz00(); 
BGl_importedzd2moduleszd2initz00zz__regexpz00(); 
return 
BGl_profzd2initzd2zz__regexpz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__regexpz00(void)
{
{ /* Unsafe/regexp.scm 16 */
return ( 
BGl_list1742z00zz__regexpz00 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'\\')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'.')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'?')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'*')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'+')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'|')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'^')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'$')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'[')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)']')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'{')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'}')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'(')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)')')), BNIL)))))))))))))), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__regexpz00(void)
{
{ /* Unsafe/regexp.scm 16 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__regexpz00(void)
{
{ /* Unsafe/regexp.scm 16 */
return 
write_bprof_table();} 

}



/* regexp? */
BGL_EXPORTED_DEF bool_t BGl_regexpzf3zf3zz__regexpz00(obj_t BgL_objz00_3)
{
{ /* Unsafe/regexp.scm 93 */
return 
BGL_REGEXPP(BgL_objz00_3);} 

}



/* &regexp? */
obj_t BGl_z62regexpzf3z91zz__regexpz00(obj_t BgL_envz00_2133, obj_t BgL_objz00_2134)
{
{ /* Unsafe/regexp.scm 93 */
return 
BBOOL(
BGl_regexpzf3zf3zz__regexpz00(BgL_objz00_2134));} 

}



/* regexp-pattern */
BGL_EXPORTED_DEF obj_t BGl_regexpzd2patternzd2zz__regexpz00(obj_t BgL_rez00_4)
{
{ /* Unsafe/regexp.scm 99 */
return 
BGL_REGEXP_PAT(BgL_rez00_4);} 

}



/* &regexp-pattern */
obj_t BGl_z62regexpzd2patternzb0zz__regexpz00(obj_t BgL_envz00_2135, obj_t BgL_rez00_2136)
{
{ /* Unsafe/regexp.scm 99 */
{ /* Unsafe/regexp.scm 100 */
 obj_t BgL_auxz00_2272;
if(
BGl_regexpzf3zf3zz__regexpz00(BgL_rez00_2136))
{ /* Unsafe/regexp.scm 100 */
BgL_auxz00_2272 = BgL_rez00_2136
; }  else 
{ 
 obj_t BgL_auxz00_2275;
BgL_auxz00_2275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(4330L), BGl_string1728z00zz__regexpz00, BGl_string1729z00zz__regexpz00, BgL_rez00_2136); 
FAILURE(BgL_auxz00_2275,BFALSE,BFALSE);} 
return 
BGl_regexpzd2patternzd2zz__regexpz00(BgL_auxz00_2272);} } 

}



/* regexp-capture-count */
BGL_EXPORTED_DEF long BGl_regexpzd2capturezd2countz00zz__regexpz00(obj_t BgL_rez00_5)
{
{ /* Unsafe/regexp.scm 105 */
return 
BGL_REGEXP_CAPTURE_COUNT(BgL_rez00_5);} 

}



/* &regexp-capture-count */
obj_t BGl_z62regexpzd2capturezd2countz62zz__regexpz00(obj_t BgL_envz00_2137, obj_t BgL_rez00_2138)
{
{ /* Unsafe/regexp.scm 105 */
{ /* Unsafe/regexp.scm 106 */
 long BgL_tmpz00_2281;
{ /* Unsafe/regexp.scm 106 */
 obj_t BgL_auxz00_2282;
if(
BGl_regexpzf3zf3zz__regexpz00(BgL_rez00_2138))
{ /* Unsafe/regexp.scm 106 */
BgL_auxz00_2282 = BgL_rez00_2138
; }  else 
{ 
 obj_t BgL_auxz00_2285;
BgL_auxz00_2285 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(4619L), BGl_string1730z00zz__regexpz00, BGl_string1729z00zz__regexpz00, BgL_rez00_2138); 
FAILURE(BgL_auxz00_2285,BFALSE,BFALSE);} 
BgL_tmpz00_2281 = 
BGl_regexpzd2capturezd2countz00zz__regexpz00(BgL_auxz00_2282); } 
return 
BINT(BgL_tmpz00_2281);} } 

}



/* pregexp */
BGL_EXPORTED_DEF obj_t BGl_pregexpz00zz__regexpz00(obj_t BgL_rez00_6, obj_t BgL_optzd2argszd2_7)
{
{ /* Unsafe/regexp.scm 120 */
return 
bgl_regcomp(BgL_rez00_6, BgL_optzd2argszd2_7, ((bool_t)1));} 

}



/* &pregexp */
obj_t BGl_z62pregexpz62zz__regexpz00(obj_t BgL_envz00_2139, obj_t BgL_rez00_2140, obj_t BgL_optzd2argszd2_2141)
{
{ /* Unsafe/regexp.scm 120 */
{ /* Unsafe/regexp.scm 121 */
 obj_t BgL_auxz00_2292;
if(
STRINGP(BgL_rez00_2140))
{ /* Unsafe/regexp.scm 121 */
BgL_auxz00_2292 = BgL_rez00_2140
; }  else 
{ 
 obj_t BgL_auxz00_2295;
BgL_auxz00_2295 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(5249L), BGl_string1731z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_rez00_2140); 
FAILURE(BgL_auxz00_2295,BFALSE,BFALSE);} 
return 
BGl_pregexpz00zz__regexpz00(BgL_auxz00_2292, BgL_optzd2argszd2_2141);} } 

}



/* match */
obj_t BGl_matchz00zz__regexpz00(obj_t BgL_patz00_8, obj_t BgL_strz00_9, bool_t BgL_stringpz00_10, obj_t BgL_begz00_11, obj_t BgL_endz00_12, obj_t BgL_positionz00_13)
{
{ /* Unsafe/regexp.scm 126 */
if(
BGL_REGEXPP(BgL_patz00_8))
{ /* Unsafe/regexp.scm 128 */
 int BgL_auxz00_2308; int BgL_auxz00_2306; int BgL_auxz00_2304; char * BgL_tmpz00_2302;
BgL_auxz00_2308 = 
CINT(BgL_positionz00_13); 
BgL_auxz00_2306 = 
CINT(BgL_endz00_12); 
BgL_auxz00_2304 = 
CINT(BgL_begz00_11); 
BgL_tmpz00_2302 = 
BSTRING_TO_STRING(BgL_strz00_9); 
return 
BGL_REGEXP_MATCH(BgL_patz00_8, BgL_tmpz00_2302, BgL_stringpz00_10, BgL_auxz00_2304, BgL_auxz00_2306, BgL_auxz00_2308);}  else 
{ /* Unsafe/regexp.scm 129 */
 obj_t BgL_rxz00_1193;
BgL_rxz00_1193 = 
bgl_regcomp(BgL_patz00_8, BNIL, ((bool_t)0)); 
{ /* Unsafe/regexp.scm 129 */
 obj_t BgL_valz00_1194;
{ /* Unsafe/regexp.scm 130 */
 int BgL_auxz00_2318; int BgL_auxz00_2316; int BgL_auxz00_2314; char * BgL_tmpz00_2312;
BgL_auxz00_2318 = 
CINT(BgL_positionz00_13); 
BgL_auxz00_2316 = 
CINT(BgL_endz00_12); 
BgL_auxz00_2314 = 
CINT(BgL_begz00_11); 
BgL_tmpz00_2312 = 
BSTRING_TO_STRING(BgL_strz00_9); 
BgL_valz00_1194 = 
BGL_REGEXP_MATCH(BgL_rxz00_1193, BgL_tmpz00_2312, BgL_stringpz00_10, BgL_auxz00_2314, BgL_auxz00_2316, BgL_auxz00_2318); } 
{ /* Unsafe/regexp.scm 130 */

BGL_REGEXP_FREE(BgL_rxz00_1193); 
return BgL_valz00_1194;} } } } 

}



/* _pregexp-match-positions */
obj_t BGl__pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t BgL_env1117z00_22, obj_t BgL_opt1116z00_21)
{
{ /* Unsafe/regexp.scm 137 */
{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_patz00_1195; obj_t BgL_strz00_1196;
BgL_patz00_1195 = 
VECTOR_REF(BgL_opt1116z00_21,0L); 
BgL_strz00_1196 = 
VECTOR_REF(BgL_opt1116z00_21,1L); 
switch( 
VECTOR_LENGTH(BgL_opt1116z00_21)) { case 2L : 

{ /* Unsafe/regexp.scm 137 */
 long BgL_endz00_1200;
{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_stringz00_1813;
if(
STRINGP(BgL_strz00_1196))
{ /* Unsafe/regexp.scm 137 */
BgL_stringz00_1813 = BgL_strz00_1196; }  else 
{ 
 obj_t BgL_auxz00_2326;
BgL_auxz00_2326 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6050L), BGl_string1733z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1196); 
FAILURE(BgL_auxz00_2326,BFALSE,BFALSE);} 
BgL_endz00_1200 = 
STRING_LENGTH(BgL_stringz00_1813); } 
{ /* Unsafe/regexp.scm 137 */

{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_auxz00_2331;
if(
STRINGP(BgL_strz00_1196))
{ /* Unsafe/regexp.scm 137 */
BgL_auxz00_2331 = BgL_strz00_1196
; }  else 
{ 
 obj_t BgL_auxz00_2334;
BgL_auxz00_2334 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(5985L), BGl_string1733z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1196); 
FAILURE(BgL_auxz00_2334,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_1195, BgL_auxz00_2331, 
BINT(0L), 
BINT(BgL_endz00_1200), 
BINT(0L));} } } break;case 3L : 

{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_begz00_1202;
BgL_begz00_1202 = 
VECTOR_REF(BgL_opt1116z00_21,2L); 
{ /* Unsafe/regexp.scm 137 */
 long BgL_endz00_1203;
{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_stringz00_1814;
if(
STRINGP(BgL_strz00_1196))
{ /* Unsafe/regexp.scm 137 */
BgL_stringz00_1814 = BgL_strz00_1196; }  else 
{ 
 obj_t BgL_auxz00_2345;
BgL_auxz00_2345 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6050L), BGl_string1733z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1196); 
FAILURE(BgL_auxz00_2345,BFALSE,BFALSE);} 
BgL_endz00_1203 = 
STRING_LENGTH(BgL_stringz00_1814); } 
{ /* Unsafe/regexp.scm 137 */

{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_auxz00_2350;
if(
STRINGP(BgL_strz00_1196))
{ /* Unsafe/regexp.scm 137 */
BgL_auxz00_2350 = BgL_strz00_1196
; }  else 
{ 
 obj_t BgL_auxz00_2353;
BgL_auxz00_2353 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(5985L), BGl_string1733z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1196); 
FAILURE(BgL_auxz00_2353,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_1195, BgL_auxz00_2350, BgL_begz00_1202, 
BINT(BgL_endz00_1203), 
BINT(0L));} } } } break;case 4L : 

{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_begz00_1205;
BgL_begz00_1205 = 
VECTOR_REF(BgL_opt1116z00_21,2L); 
{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_endz00_1206;
BgL_endz00_1206 = 
VECTOR_REF(BgL_opt1116z00_21,3L); 
{ /* Unsafe/regexp.scm 137 */

{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_auxz00_2362;
if(
STRINGP(BgL_strz00_1196))
{ /* Unsafe/regexp.scm 137 */
BgL_auxz00_2362 = BgL_strz00_1196
; }  else 
{ 
 obj_t BgL_auxz00_2365;
BgL_auxz00_2365 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(5985L), BGl_string1733z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1196); 
FAILURE(BgL_auxz00_2365,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_1195, BgL_auxz00_2362, BgL_begz00_1205, BgL_endz00_1206, 
BINT(0L));} } } } break;case 5L : 

{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_begz00_1208;
BgL_begz00_1208 = 
VECTOR_REF(BgL_opt1116z00_21,2L); 
{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_endz00_1209;
BgL_endz00_1209 = 
VECTOR_REF(BgL_opt1116z00_21,3L); 
{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_offsetz00_1210;
BgL_offsetz00_1210 = 
VECTOR_REF(BgL_opt1116z00_21,4L); 
{ /* Unsafe/regexp.scm 137 */

{ /* Unsafe/regexp.scm 137 */
 obj_t BgL_auxz00_2374;
if(
STRINGP(BgL_strz00_1196))
{ /* Unsafe/regexp.scm 137 */
BgL_auxz00_2374 = BgL_strz00_1196
; }  else 
{ 
 obj_t BgL_auxz00_2377;
BgL_auxz00_2377 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(5985L), BGl_string1733z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1196); 
FAILURE(BgL_auxz00_2377,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_1195, BgL_auxz00_2374, BgL_begz00_1208, BgL_endz00_1209, BgL_offsetz00_1210);} } } } } break;
default: 
return BUNSPEC;} } } 

}



/* pregexp-match-positions */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t BgL_patz00_16, obj_t BgL_strz00_17, obj_t BgL_begz00_18, obj_t BgL_endz00_19, obj_t BgL_offsetz00_20)
{
{ /* Unsafe/regexp.scm 137 */
return 
BGl_matchz00zz__regexpz00(BgL_patz00_16, BgL_strz00_17, ((bool_t)0), BgL_begz00_18, BgL_endz00_19, BgL_offsetz00_20);} 

}



/* _pregexp-match-n-positions! */
obj_t BGl__pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00(obj_t BgL_env1121z00_30, obj_t BgL_opt1120z00_29)
{
{ /* Unsafe/regexp.scm 143 */
{ /* Unsafe/regexp.scm 143 */
 obj_t BgL_g1122z00_2212; obj_t BgL_g1123z00_2213; obj_t BgL_g1124z00_2214; obj_t BgL_g1125z00_2215; obj_t BgL_g1126z00_2216;
BgL_g1122z00_2212 = 
VECTOR_REF(BgL_opt1120z00_29,0L); 
BgL_g1123z00_2213 = 
VECTOR_REF(BgL_opt1120z00_29,1L); 
BgL_g1124z00_2214 = 
VECTOR_REF(BgL_opt1120z00_29,2L); 
BgL_g1125z00_2215 = 
VECTOR_REF(BgL_opt1120z00_29,3L); 
BgL_g1126z00_2216 = 
VECTOR_REF(BgL_opt1120z00_29,4L); 
switch( 
VECTOR_LENGTH(BgL_opt1120z00_29)) { case 5L : 

{ /* Unsafe/regexp.scm 143 */

{ /* Unsafe/regexp.scm 143 */
 obj_t BgL_patz00_2217; obj_t BgL_strz00_2218; obj_t BgL_vresz00_2219; long BgL_begz00_2220; long BgL_endz00_2221;
if(
BGl_regexpzf3zf3zz__regexpz00(BgL_g1122z00_2212))
{ /* Unsafe/regexp.scm 143 */
BgL_patz00_2217 = BgL_g1122z00_2212; }  else 
{ 
 obj_t BgL_auxz00_2392;
BgL_auxz00_2392 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6344L), BGl_string1734z00zz__regexpz00, BGl_string1729z00zz__regexpz00, BgL_g1122z00_2212); 
FAILURE(BgL_auxz00_2392,BFALSE,BFALSE);} 
if(
STRINGP(BgL_g1123z00_2213))
{ /* Unsafe/regexp.scm 143 */
BgL_strz00_2218 = BgL_g1123z00_2213; }  else 
{ 
 obj_t BgL_auxz00_2398;
BgL_auxz00_2398 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6344L), BGl_string1734z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_g1123z00_2213); 
FAILURE(BgL_auxz00_2398,BFALSE,BFALSE);} 
if(
VECTORP(BgL_g1124z00_2214))
{ /* Unsafe/regexp.scm 143 */
BgL_vresz00_2219 = BgL_g1124z00_2214; }  else 
{ 
 obj_t BgL_auxz00_2404;
BgL_auxz00_2404 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6344L), BGl_string1734z00zz__regexpz00, BGl_string1735z00zz__regexpz00, BgL_g1124z00_2214); 
FAILURE(BgL_auxz00_2404,BFALSE,BFALSE);} 
{ /* Unsafe/regexp.scm 143 */
 obj_t BgL_tmpz00_2408;
if(
INTEGERP(BgL_g1125z00_2215))
{ /* Unsafe/regexp.scm 143 */
BgL_tmpz00_2408 = BgL_g1125z00_2215
; }  else 
{ 
 obj_t BgL_auxz00_2411;
BgL_auxz00_2411 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6344L), BGl_string1734z00zz__regexpz00, BGl_string1736z00zz__regexpz00, BgL_g1125z00_2215); 
FAILURE(BgL_auxz00_2411,BFALSE,BFALSE);} 
BgL_begz00_2220 = 
(long)CINT(BgL_tmpz00_2408); } 
{ /* Unsafe/regexp.scm 143 */
 obj_t BgL_tmpz00_2416;
if(
INTEGERP(BgL_g1126z00_2216))
{ /* Unsafe/regexp.scm 143 */
BgL_tmpz00_2416 = BgL_g1126z00_2216
; }  else 
{ 
 obj_t BgL_auxz00_2419;
BgL_auxz00_2419 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6344L), BGl_string1734z00zz__regexpz00, BGl_string1736z00zz__regexpz00, BgL_g1126z00_2216); 
FAILURE(BgL_auxz00_2419,BFALSE,BFALSE);} 
BgL_endz00_2221 = 
(long)CINT(BgL_tmpz00_2416); } 
{ /* Unsafe/regexp.scm 144 */
 long BgL_tmpz00_2424;
{ /* Unsafe/regexp.scm 144 */
 int BgL_auxz00_2431; int BgL_auxz00_2429; int BgL_auxz00_2427; char * BgL_tmpz00_2425;
BgL_auxz00_2431 = 
(int)(0L); 
BgL_auxz00_2429 = 
(int)(BgL_endz00_2221); 
BgL_auxz00_2427 = 
(int)(BgL_begz00_2220); 
BgL_tmpz00_2425 = 
BSTRING_TO_STRING(BgL_strz00_2218); 
BgL_tmpz00_2424 = 
BGL_REGEXP_MATCH_N(BgL_patz00_2217, BgL_tmpz00_2425, BgL_vresz00_2219, BgL_auxz00_2427, BgL_auxz00_2429, BgL_auxz00_2431); } 
return 
BINT(BgL_tmpz00_2424);} } } break;case 6L : 

{ /* Unsafe/regexp.scm 143 */
 obj_t BgL_offsetz00_2222;
BgL_offsetz00_2222 = 
VECTOR_REF(BgL_opt1120z00_29,5L); 
{ /* Unsafe/regexp.scm 143 */

{ /* Unsafe/regexp.scm 143 */
 obj_t BgL_patz00_2223; obj_t BgL_strz00_2224; obj_t BgL_vresz00_2225; long BgL_begz00_2226; long BgL_endz00_2227;
if(
BGl_regexpzf3zf3zz__regexpz00(BgL_g1122z00_2212))
{ /* Unsafe/regexp.scm 143 */
BgL_patz00_2223 = BgL_g1122z00_2212; }  else 
{ 
 obj_t BgL_auxz00_2438;
BgL_auxz00_2438 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6344L), BGl_string1734z00zz__regexpz00, BGl_string1729z00zz__regexpz00, BgL_g1122z00_2212); 
FAILURE(BgL_auxz00_2438,BFALSE,BFALSE);} 
if(
STRINGP(BgL_g1123z00_2213))
{ /* Unsafe/regexp.scm 143 */
BgL_strz00_2224 = BgL_g1123z00_2213; }  else 
{ 
 obj_t BgL_auxz00_2444;
BgL_auxz00_2444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6344L), BGl_string1734z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_g1123z00_2213); 
FAILURE(BgL_auxz00_2444,BFALSE,BFALSE);} 
if(
VECTORP(BgL_g1124z00_2214))
{ /* Unsafe/regexp.scm 143 */
BgL_vresz00_2225 = BgL_g1124z00_2214; }  else 
{ 
 obj_t BgL_auxz00_2450;
BgL_auxz00_2450 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6344L), BGl_string1734z00zz__regexpz00, BGl_string1735z00zz__regexpz00, BgL_g1124z00_2214); 
FAILURE(BgL_auxz00_2450,BFALSE,BFALSE);} 
{ /* Unsafe/regexp.scm 143 */
 obj_t BgL_tmpz00_2454;
if(
INTEGERP(BgL_g1125z00_2215))
{ /* Unsafe/regexp.scm 143 */
BgL_tmpz00_2454 = BgL_g1125z00_2215
; }  else 
{ 
 obj_t BgL_auxz00_2457;
BgL_auxz00_2457 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6344L), BGl_string1734z00zz__regexpz00, BGl_string1736z00zz__regexpz00, BgL_g1125z00_2215); 
FAILURE(BgL_auxz00_2457,BFALSE,BFALSE);} 
BgL_begz00_2226 = 
(long)CINT(BgL_tmpz00_2454); } 
{ /* Unsafe/regexp.scm 143 */
 obj_t BgL_tmpz00_2462;
if(
INTEGERP(BgL_g1126z00_2216))
{ /* Unsafe/regexp.scm 143 */
BgL_tmpz00_2462 = BgL_g1126z00_2216
; }  else 
{ 
 obj_t BgL_auxz00_2465;
BgL_auxz00_2465 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6344L), BGl_string1734z00zz__regexpz00, BGl_string1736z00zz__regexpz00, BgL_g1126z00_2216); 
FAILURE(BgL_auxz00_2465,BFALSE,BFALSE);} 
BgL_endz00_2227 = 
(long)CINT(BgL_tmpz00_2462); } 
{ /* Unsafe/regexp.scm 144 */
 long BgL_tmpz00_2470;
{ /* Unsafe/regexp.scm 144 */
 int BgL_auxz00_2477; int BgL_auxz00_2475; int BgL_auxz00_2473; char * BgL_tmpz00_2471;
{ /* Unsafe/regexp.scm 144 */
 obj_t BgL_tmpz00_2478;
if(
INTEGERP(BgL_offsetz00_2222))
{ /* Unsafe/regexp.scm 144 */
BgL_tmpz00_2478 = BgL_offsetz00_2222
; }  else 
{ 
 obj_t BgL_auxz00_2481;
BgL_auxz00_2481 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6476L), BGl_string1734z00zz__regexpz00, BGl_string1736z00zz__regexpz00, BgL_offsetz00_2222); 
FAILURE(BgL_auxz00_2481,BFALSE,BFALSE);} 
BgL_auxz00_2477 = 
CINT(BgL_tmpz00_2478); } 
BgL_auxz00_2475 = 
(int)(BgL_endz00_2227); 
BgL_auxz00_2473 = 
(int)(BgL_begz00_2226); 
BgL_tmpz00_2471 = 
BSTRING_TO_STRING(BgL_strz00_2224); 
BgL_tmpz00_2470 = 
BGL_REGEXP_MATCH_N(BgL_patz00_2223, BgL_tmpz00_2471, BgL_vresz00_2225, BgL_auxz00_2473, BgL_auxz00_2475, BgL_auxz00_2477); } 
return 
BINT(BgL_tmpz00_2470);} } } } break;
default: 
return BUNSPEC;} } } 

}



/* pregexp-match-n-positions! */
BGL_EXPORTED_DEF long BGl_pregexpzd2matchzd2nzd2positionsz12zc0zz__regexpz00(obj_t BgL_patz00_23, obj_t BgL_strz00_24, obj_t BgL_vresz00_25, long BgL_begz00_26, long BgL_endz00_27, obj_t BgL_offsetz00_28)
{
{ /* Unsafe/regexp.scm 143 */
{ /* Unsafe/regexp.scm 144 */
 int BgL_auxz00_2496; int BgL_auxz00_2494; int BgL_auxz00_2492; char * BgL_tmpz00_2490;
BgL_auxz00_2496 = 
CINT(BgL_offsetz00_28); 
BgL_auxz00_2494 = 
(int)(BgL_endz00_27); 
BgL_auxz00_2492 = 
(int)(BgL_begz00_26); 
BgL_tmpz00_2490 = 
BSTRING_TO_STRING(BgL_strz00_24); 
return 
BGL_REGEXP_MATCH_N(BgL_patz00_23, BgL_tmpz00_2490, BgL_vresz00_25, BgL_auxz00_2492, BgL_auxz00_2494, BgL_auxz00_2496);} } 

}



/* _pregexp-match */
obj_t BGl__pregexpzd2matchzd2zz__regexpz00(obj_t BgL_env1130z00_36, obj_t BgL_opt1129z00_35)
{
{ /* Unsafe/regexp.scm 149 */
{ /* Unsafe/regexp.scm 149 */
 obj_t BgL_patz00_1220; obj_t BgL_strz00_1221;
BgL_patz00_1220 = 
VECTOR_REF(BgL_opt1129z00_35,0L); 
BgL_strz00_1221 = 
VECTOR_REF(BgL_opt1129z00_35,1L); 
switch( 
VECTOR_LENGTH(BgL_opt1129z00_35)) { case 2L : 

{ /* Unsafe/regexp.scm 149 */
 long BgL_endz00_1225;
{ /* Unsafe/regexp.scm 149 */
 obj_t BgL_stringz00_1834;
if(
STRINGP(BgL_strz00_1221))
{ /* Unsafe/regexp.scm 149 */
BgL_stringz00_1834 = BgL_strz00_1221; }  else 
{ 
 obj_t BgL_auxz00_2503;
BgL_auxz00_2503 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6763L), BGl_string1737z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1221); 
FAILURE(BgL_auxz00_2503,BFALSE,BFALSE);} 
BgL_endz00_1225 = 
STRING_LENGTH(BgL_stringz00_1834); } 
{ /* Unsafe/regexp.scm 149 */

{ /* Unsafe/regexp.scm 149 */
 obj_t BgL_auxz00_2508;
if(
STRINGP(BgL_strz00_1221))
{ /* Unsafe/regexp.scm 149 */
BgL_auxz00_2508 = BgL_strz00_1221
; }  else 
{ 
 obj_t BgL_auxz00_2511;
BgL_auxz00_2511 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6708L), BGl_string1737z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1221); 
FAILURE(BgL_auxz00_2511,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_1220, BgL_auxz00_2508, 
BINT(0L), 
BINT(BgL_endz00_1225));} } } break;case 3L : 

{ /* Unsafe/regexp.scm 149 */
 obj_t BgL_begz00_1226;
BgL_begz00_1226 = 
VECTOR_REF(BgL_opt1129z00_35,2L); 
{ /* Unsafe/regexp.scm 149 */
 long BgL_endz00_1227;
{ /* Unsafe/regexp.scm 149 */
 obj_t BgL_stringz00_1835;
if(
STRINGP(BgL_strz00_1221))
{ /* Unsafe/regexp.scm 149 */
BgL_stringz00_1835 = BgL_strz00_1221; }  else 
{ 
 obj_t BgL_auxz00_2521;
BgL_auxz00_2521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6763L), BGl_string1737z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1221); 
FAILURE(BgL_auxz00_2521,BFALSE,BFALSE);} 
BgL_endz00_1227 = 
STRING_LENGTH(BgL_stringz00_1835); } 
{ /* Unsafe/regexp.scm 149 */

{ /* Unsafe/regexp.scm 149 */
 obj_t BgL_auxz00_2526;
if(
STRINGP(BgL_strz00_1221))
{ /* Unsafe/regexp.scm 149 */
BgL_auxz00_2526 = BgL_strz00_1221
; }  else 
{ 
 obj_t BgL_auxz00_2529;
BgL_auxz00_2529 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6708L), BGl_string1737z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1221); 
FAILURE(BgL_auxz00_2529,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_1220, BgL_auxz00_2526, BgL_begz00_1226, 
BINT(BgL_endz00_1227));} } } } break;case 4L : 

{ /* Unsafe/regexp.scm 149 */
 obj_t BgL_begz00_1228;
BgL_begz00_1228 = 
VECTOR_REF(BgL_opt1129z00_35,2L); 
{ /* Unsafe/regexp.scm 149 */
 obj_t BgL_endz00_1229;
BgL_endz00_1229 = 
VECTOR_REF(BgL_opt1129z00_35,3L); 
{ /* Unsafe/regexp.scm 149 */

{ /* Unsafe/regexp.scm 149 */
 obj_t BgL_auxz00_2537;
if(
STRINGP(BgL_strz00_1221))
{ /* Unsafe/regexp.scm 149 */
BgL_auxz00_2537 = BgL_strz00_1221
; }  else 
{ 
 obj_t BgL_auxz00_2540;
BgL_auxz00_2540 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(6708L), BGl_string1737z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_1221); 
FAILURE(BgL_auxz00_2540,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_1220, BgL_auxz00_2537, BgL_begz00_1228, BgL_endz00_1229);} } } } break;
default: 
return BUNSPEC;} } } 

}



/* pregexp-match */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t BgL_patz00_31, obj_t BgL_strz00_32, obj_t BgL_begz00_33, obj_t BgL_endz00_34)
{
{ /* Unsafe/regexp.scm 149 */
{ /* Unsafe/regexp.scm 150 */

return 
BGl_matchz00zz__regexpz00(BgL_patz00_31, BgL_strz00_32, ((bool_t)1), BgL_begz00_33, BgL_endz00_34, 
BINT(0L));} } 

}



/* pregexp-read-escaped-number */
obj_t BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00(obj_t BgL_sz00_37, obj_t BgL_iz00_38, long BgL_nz00_39)
{
{ /* Unsafe/regexp.scm 155 */
if(
(
(
(long)CINT(BgL_iz00_38)+1L)<BgL_nz00_39))
{ /* Unsafe/regexp.scm 158 */
 unsigned char BgL_cz00_1237;
BgL_cz00_1237 = 
STRING_REF(BgL_sz00_37, 
(
(long)CINT(BgL_iz00_38)+1L)); 
if(
isdigit(BgL_cz00_1237))
{ /* Unsafe/regexp.scm 160 */
 long BgL_g1047z00_1239; obj_t BgL_g1048z00_1240;
BgL_g1047z00_1239 = 
(
(long)CINT(BgL_iz00_38)+2L); 
{ /* Unsafe/regexp.scm 160 */
 obj_t BgL_list1239z00_1265;
BgL_list1239z00_1265 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_cz00_1237), BNIL); 
BgL_g1048z00_1240 = BgL_list1239z00_1265; } 
{ 
 long BgL_iz00_1242; obj_t BgL_rz00_1243;
BgL_iz00_1242 = BgL_g1047z00_1239; 
BgL_rz00_1243 = BgL_g1048z00_1240; 
BgL_zc3z04anonymousza31204ze3z87_1244:
if(
(BgL_iz00_1242>=BgL_nz00_39))
{ /* Unsafe/regexp.scm 162 */
 obj_t BgL_arg1210z00_1246;
{ /* Unsafe/regexp.scm 162 */
 obj_t BgL_arg1215z00_1249;
BgL_arg1215z00_1249 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(
bgl_reverse_bang(BgL_rz00_1243)); 
{ /* Ieee/number.scm 175 */

BgL_arg1210z00_1246 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_arg1215z00_1249, 
BINT(10L)); } } 
{ /* Unsafe/regexp.scm 162 */
 obj_t BgL_list1211z00_1247;
{ /* Unsafe/regexp.scm 162 */
 obj_t BgL_arg1212z00_1248;
BgL_arg1212z00_1248 = 
MAKE_YOUNG_PAIR(
BINT(BgL_iz00_1242), BNIL); 
BgL_list1211z00_1247 = 
MAKE_YOUNG_PAIR(BgL_arg1210z00_1246, BgL_arg1212z00_1248); } 
return BgL_list1211z00_1247;} }  else 
{ /* Unsafe/regexp.scm 163 */
 unsigned char BgL_cz00_1253;
BgL_cz00_1253 = 
STRING_REF(BgL_sz00_37, BgL_iz00_1242); 
if(
isdigit(BgL_cz00_1253))
{ /* Unsafe/regexp.scm 165 */
 long BgL_arg1229z00_1255; obj_t BgL_arg1230z00_1256;
BgL_arg1229z00_1255 = 
(BgL_iz00_1242+1L); 
BgL_arg1230z00_1256 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_cz00_1253), BgL_rz00_1243); 
{ 
 obj_t BgL_rz00_2578; long BgL_iz00_2577;
BgL_iz00_2577 = BgL_arg1229z00_1255; 
BgL_rz00_2578 = BgL_arg1230z00_1256; 
BgL_rz00_1243 = BgL_rz00_2578; 
BgL_iz00_1242 = BgL_iz00_2577; 
goto BgL_zc3z04anonymousza31204ze3z87_1244;} }  else 
{ /* Unsafe/regexp.scm 166 */
 obj_t BgL_arg1231z00_1257;
{ /* Unsafe/regexp.scm 166 */
 obj_t BgL_arg1236z00_1260;
BgL_arg1236z00_1260 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(
bgl_reverse_bang(BgL_rz00_1243)); 
{ /* Ieee/number.scm 175 */

BgL_arg1231z00_1257 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_arg1236z00_1260, 
BINT(10L)); } } 
{ /* Unsafe/regexp.scm 166 */
 obj_t BgL_list1232z00_1258;
{ /* Unsafe/regexp.scm 166 */
 obj_t BgL_arg1235z00_1259;
BgL_arg1235z00_1259 = 
MAKE_YOUNG_PAIR(
BINT(BgL_iz00_1242), BNIL); 
BgL_list1232z00_1258 = 
MAKE_YOUNG_PAIR(BgL_arg1231z00_1257, BgL_arg1235z00_1259); } 
return BgL_list1232z00_1258;} } } } }  else 
{ /* Unsafe/regexp.scm 159 */
return BFALSE;} }  else 
{ /* Unsafe/regexp.scm 157 */
return BFALSE;} } 

}



/* pregexp-list-ref */
obj_t BGl_pregexpzd2listzd2refz00zz__regexpz00(obj_t BgL_sz00_40, obj_t BgL_iz00_41)
{
{ /* Unsafe/regexp.scm 172 */
{ 
 obj_t BgL_sz00_1269; long BgL_kz00_1270;
BgL_sz00_1269 = BgL_sz00_40; 
BgL_kz00_1270 = 0L; 
BgL_zc3z04anonymousza31246ze3z87_1271:
if(
NULLP(BgL_sz00_1269))
{ /* Unsafe/regexp.scm 176 */
return BFALSE;}  else 
{ /* Unsafe/regexp.scm 176 */
if(
(BgL_kz00_1270==
(long)CINT(BgL_iz00_41)))
{ /* Unsafe/regexp.scm 177 */
return 
CAR(
((obj_t)BgL_sz00_1269));}  else 
{ 
 long BgL_kz00_2596; obj_t BgL_sz00_2593;
BgL_sz00_2593 = 
CDR(
((obj_t)BgL_sz00_1269)); 
BgL_kz00_2596 = 
(BgL_kz00_1270+1L); 
BgL_kz00_1270 = BgL_kz00_2596; 
BgL_sz00_1269 = BgL_sz00_2593; 
goto BgL_zc3z04anonymousza31246ze3z87_1271;} } } } 

}



/* pregexp-replace-aux */
obj_t BGl_pregexpzd2replacezd2auxz00zz__regexpz00(obj_t BgL_strz00_42, obj_t BgL_insz00_43, long BgL_nz00_44, obj_t BgL_backrefsz00_45)
{
{ /* Unsafe/regexp.scm 183 */
{ 
 obj_t BgL_iz00_1278; obj_t BgL_rz00_1279;
BgL_iz00_1278 = 
BINT(0L); 
BgL_rz00_1279 = BGl_string1738z00zz__regexpz00; 
BgL_zc3z04anonymousza31256ze3z87_1280:
if(
(
(long)CINT(BgL_iz00_1278)>=BgL_nz00_44))
{ /* Unsafe/regexp.scm 185 */
return BgL_rz00_1279;}  else 
{ /* Unsafe/regexp.scm 186 */
 unsigned char BgL_cz00_1282;
BgL_cz00_1282 = 
STRING_REF(BgL_insz00_43, 
(long)CINT(BgL_iz00_1278)); 
if(
(BgL_cz00_1282==((unsigned char)'\\')))
{ /* Unsafe/regexp.scm 188 */
 obj_t BgL_brzd2izd2_1284;
BgL_brzd2izd2_1284 = 
BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00(BgL_insz00_43, BgL_iz00_1278, BgL_nz00_44); 
{ /* Unsafe/regexp.scm 188 */
 obj_t BgL_brz00_1285;
if(
CBOOL(BgL_brzd2izd2_1284))
{ /* Unsafe/regexp.scm 189 */
BgL_brz00_1285 = 
CAR(
((obj_t)BgL_brzd2izd2_1284)); }  else 
{ /* Unsafe/regexp.scm 189 */
if(
(
STRING_REF(BgL_insz00_43, 
(
(long)CINT(BgL_iz00_1278)+1L))==((unsigned char)'&')))
{ /* Unsafe/regexp.scm 190 */
BgL_brz00_1285 = 
BINT(0L); }  else 
{ /* Unsafe/regexp.scm 190 */
BgL_brz00_1285 = BFALSE; } } 
{ /* Unsafe/regexp.scm 189 */
 obj_t BgL_iz00_1286;
if(
CBOOL(BgL_brzd2izd2_1284))
{ /* Unsafe/regexp.scm 192 */
 obj_t BgL_pairz00_1873;
BgL_pairz00_1873 = 
CDR(
((obj_t)BgL_brzd2izd2_1284)); 
BgL_iz00_1286 = 
CAR(BgL_pairz00_1873); }  else 
{ /* Unsafe/regexp.scm 192 */
if(
CBOOL(BgL_brz00_1285))
{ /* Unsafe/regexp.scm 193 */
BgL_iz00_1286 = 
ADDFX(BgL_iz00_1278, 
BINT(2L)); }  else 
{ /* Unsafe/regexp.scm 193 */
BgL_iz00_1286 = 
ADDFX(BgL_iz00_1278, 
BINT(1L)); } } 
{ /* Unsafe/regexp.scm 192 */

if(
CBOOL(BgL_brz00_1285))
{ /* Unsafe/regexp.scm 201 */
 obj_t BgL_arg1261z00_1287;
{ /* Unsafe/regexp.scm 201 */
 obj_t BgL_backrefz00_1288;
BgL_backrefz00_1288 = 
BGl_pregexpzd2listzd2refz00zz__regexpz00(BgL_backrefsz00_45, BgL_brz00_1285); 
if(
CBOOL(BgL_backrefz00_1288))
{ /* Unsafe/regexp.scm 204 */
 obj_t BgL_arg1262z00_1289;
{ /* Unsafe/regexp.scm 204 */
 obj_t BgL_arg1263z00_1290; obj_t BgL_arg1264z00_1291;
BgL_arg1263z00_1290 = 
CAR(
((obj_t)BgL_backrefz00_1288)); 
BgL_arg1264z00_1291 = 
CDR(
((obj_t)BgL_backrefz00_1288)); 
BgL_arg1262z00_1289 = 
c_substring(BgL_strz00_42, 
(long)CINT(BgL_arg1263z00_1290), 
(long)CINT(BgL_arg1264z00_1291)); } 
BgL_arg1261z00_1287 = 
string_append(BgL_rz00_1279, BgL_arg1262z00_1289); }  else 
{ /* Unsafe/regexp.scm 202 */
BgL_arg1261z00_1287 = BgL_rz00_1279; } } 
{ 
 obj_t BgL_rz00_2641; obj_t BgL_iz00_2640;
BgL_iz00_2640 = BgL_iz00_1286; 
BgL_rz00_2641 = BgL_arg1261z00_1287; 
BgL_rz00_1279 = BgL_rz00_2641; 
BgL_iz00_1278 = BgL_iz00_2640; 
goto BgL_zc3z04anonymousza31256ze3z87_1280;} }  else 
{ /* Unsafe/regexp.scm 196 */
 unsigned char BgL_c2z00_1292;
BgL_c2z00_1292 = 
STRING_REF(BgL_insz00_43, 
(long)CINT(BgL_iz00_1286)); 
{ /* Unsafe/regexp.scm 197 */
 long BgL_arg1266z00_1293; obj_t BgL_arg1267z00_1294;
BgL_arg1266z00_1293 = 
(
(long)CINT(BgL_iz00_1286)+1L); 
if(
(BgL_c2z00_1292==((unsigned char)'$')))
{ /* Unsafe/regexp.scm 198 */
BgL_arg1267z00_1294 = BgL_rz00_1279; }  else 
{ /* Unsafe/regexp.scm 199 */
 obj_t BgL_arg1269z00_1296;
{ /* Unsafe/regexp.scm 199 */
 obj_t BgL_list1270z00_1297;
BgL_list1270z00_1297 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_c2z00_1292), BNIL); 
BgL_arg1269z00_1296 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1270z00_1297); } 
BgL_arg1267z00_1294 = 
string_append(BgL_rz00_1279, BgL_arg1269z00_1296); } 
{ 
 obj_t BgL_rz00_2654; obj_t BgL_iz00_2652;
BgL_iz00_2652 = 
BINT(BgL_arg1266z00_1293); 
BgL_rz00_2654 = BgL_arg1267z00_1294; 
BgL_rz00_1279 = BgL_rz00_2654; 
BgL_iz00_1278 = BgL_iz00_2652; 
goto BgL_zc3z04anonymousza31256ze3z87_1280;} } } } } } }  else 
{ /* Unsafe/regexp.scm 206 */
 long BgL_arg1280z00_1303; obj_t BgL_arg1286z00_1304;
BgL_arg1280z00_1303 = 
(
(long)CINT(BgL_iz00_1278)+1L); 
{ /* Unsafe/regexp.scm 206 */
 obj_t BgL_arg1288z00_1305;
{ /* Unsafe/regexp.scm 206 */
 obj_t BgL_list1289z00_1306;
BgL_list1289z00_1306 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_cz00_1282), BNIL); 
BgL_arg1288z00_1305 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1289z00_1306); } 
BgL_arg1286z00_1304 = 
string_append(BgL_rz00_1279, BgL_arg1288z00_1305); } 
{ 
 obj_t BgL_rz00_2663; obj_t BgL_iz00_2661;
BgL_iz00_2661 = 
BINT(BgL_arg1280z00_1303); 
BgL_rz00_2663 = BgL_arg1286z00_1304; 
BgL_rz00_1279 = BgL_rz00_2663; 
BgL_iz00_1278 = BgL_iz00_2661; 
goto BgL_zc3z04anonymousza31256ze3z87_1280;} } } } } 

}



/* pregexp-split */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2splitzd2zz__regexpz00(obj_t BgL_patz00_46, obj_t BgL_strz00_47)
{
{ /* Unsafe/regexp.scm 211 */
{ /* Unsafe/regexp.scm 213 */
 long BgL_nz00_1308;
BgL_nz00_1308 = 
STRING_LENGTH(BgL_strz00_47); 
{ 
 obj_t BgL_iz00_1311; obj_t BgL_rz00_1312; bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1313;
BgL_iz00_1311 = 
BINT(0L); 
BgL_rz00_1312 = BNIL; 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1313 = ((bool_t)0); 
BgL_zc3z04anonymousza31290ze3z87_1314:
if(
(
(long)CINT(BgL_iz00_1311)>=BgL_nz00_1308))
{ /* Unsafe/regexp.scm 215 */
return 
bgl_reverse_bang(BgL_rz00_1312);}  else 
{ /* Unsafe/regexp.scm 216 */
 obj_t BgL_g1050z00_1316;
{ /* Unsafe/regexp.scm 77 */

BgL_g1050z00_1316 = 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_46, BgL_strz00_47, BgL_iz00_1311, 
BINT(BgL_nz00_1308), 
BINT(0L)); } 
if(
CBOOL(BgL_g1050z00_1316))
{ /* Unsafe/regexp.scm 219 */
 obj_t BgL_jkz00_1319;
BgL_jkz00_1319 = 
CAR(
((obj_t)BgL_g1050z00_1316)); 
{ /* Unsafe/regexp.scm 220 */
 obj_t BgL_jz00_1320; obj_t BgL_kz00_1321;
BgL_jz00_1320 = 
CAR(
((obj_t)BgL_jkz00_1319)); 
BgL_kz00_1321 = 
CDR(
((obj_t)BgL_jkz00_1319)); 
if(
(
(long)CINT(BgL_jz00_1320)==
(long)CINT(BgL_kz00_1321)))
{ /* Unsafe/regexp.scm 222 */
 long BgL_arg1293z00_1323; obj_t BgL_arg1295z00_1324;
BgL_arg1293z00_1323 = 
(
(long)CINT(BgL_kz00_1321)+1L); 
BgL_arg1295z00_1324 = 
MAKE_YOUNG_PAIR(
c_substring(BgL_strz00_47, 
(long)CINT(BgL_iz00_1311), 
(
(long)CINT(BgL_jz00_1320)+1L)), BgL_rz00_1312); 
{ 
 bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2695; obj_t BgL_rz00_2694; obj_t BgL_iz00_2692;
BgL_iz00_2692 = 
BINT(BgL_arg1293z00_1323); 
BgL_rz00_2694 = BgL_arg1295z00_1324; 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2695 = ((bool_t)1); 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1313 = BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2695; 
BgL_rz00_1312 = BgL_rz00_2694; 
BgL_iz00_1311 = BgL_iz00_2692; 
goto BgL_zc3z04anonymousza31290ze3z87_1314;} }  else 
{ /* Unsafe/regexp.scm 224 */
 bool_t BgL_test1818z00_2696;
if(
(
(long)CINT(BgL_jz00_1320)==
(long)CINT(BgL_iz00_1311)))
{ /* Unsafe/regexp.scm 224 */
BgL_test1818z00_2696 = BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1313
; }  else 
{ /* Unsafe/regexp.scm 224 */
BgL_test1818z00_2696 = ((bool_t)0)
; } 
if(BgL_test1818z00_2696)
{ 
 bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2702; obj_t BgL_iz00_2701;
BgL_iz00_2701 = BgL_kz00_1321; 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2702 = ((bool_t)0); 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1313 = BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2702; 
BgL_iz00_1311 = BgL_iz00_2701; 
goto BgL_zc3z04anonymousza31290ze3z87_1314;}  else 
{ /* Unsafe/regexp.scm 227 */
 obj_t BgL_arg1300z00_1329;
BgL_arg1300z00_1329 = 
MAKE_YOUNG_PAIR(
c_substring(BgL_strz00_47, 
(long)CINT(BgL_iz00_1311), 
(long)CINT(BgL_jz00_1320)), BgL_rz00_1312); 
{ 
 bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2709; obj_t BgL_rz00_2708; obj_t BgL_iz00_2707;
BgL_iz00_2707 = BgL_kz00_1321; 
BgL_rz00_2708 = BgL_arg1300z00_1329; 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2709 = ((bool_t)0); 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1313 = BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2709; 
BgL_rz00_1312 = BgL_rz00_2708; 
BgL_iz00_1311 = BgL_iz00_2707; 
goto BgL_zc3z04anonymousza31290ze3z87_1314;} } } } }  else 
{ /* Unsafe/regexp.scm 228 */
 obj_t BgL_arg1302z00_1332;
BgL_arg1302z00_1332 = 
MAKE_YOUNG_PAIR(
c_substring(BgL_strz00_47, 
(long)CINT(BgL_iz00_1311), BgL_nz00_1308), BgL_rz00_1312); 
{ 
 bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2716; obj_t BgL_rz00_2715; obj_t BgL_iz00_2713;
BgL_iz00_2713 = 
BINT(BgL_nz00_1308); 
BgL_rz00_2715 = BgL_arg1302z00_1332; 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2716 = ((bool_t)0); 
BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1313 = BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2716; 
BgL_rz00_1312 = BgL_rz00_2715; 
BgL_iz00_1311 = BgL_iz00_2713; 
goto BgL_zc3z04anonymousza31290ze3z87_1314;} } } } } } 

}



/* &pregexp-split */
obj_t BGl_z62pregexpzd2splitzb0zz__regexpz00(obj_t BgL_envz00_2142, obj_t BgL_patz00_2143, obj_t BgL_strz00_2144)
{
{ /* Unsafe/regexp.scm 211 */
{ /* Unsafe/regexp.scm 213 */
 obj_t BgL_auxz00_2718;
if(
STRINGP(BgL_strz00_2144))
{ /* Unsafe/regexp.scm 213 */
BgL_auxz00_2718 = BgL_strz00_2144
; }  else 
{ 
 obj_t BgL_auxz00_2721;
BgL_auxz00_2721 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(9234L), BGl_string1739z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_2144); 
FAILURE(BgL_auxz00_2721,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2splitzd2zz__regexpz00(BgL_patz00_2143, BgL_auxz00_2718);} } 

}



/* pregexp-replace */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2replacezd2zz__regexpz00(obj_t BgL_patz00_48, obj_t BgL_strz00_49, obj_t BgL_insz00_50)
{
{ /* Unsafe/regexp.scm 233 */
{ /* Unsafe/regexp.scm 234 */
 long BgL_nz00_1340;
BgL_nz00_1340 = 
STRING_LENGTH(BgL_strz00_49); 
{ /* Unsafe/regexp.scm 234 */
 obj_t BgL_ppz00_1341;
{ /* Unsafe/regexp.scm 77 */

BgL_ppz00_1341 = 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_48, BgL_strz00_49, 
BINT(0L), 
BINT(BgL_nz00_1340), 
BINT(0L)); } 
{ /* Unsafe/regexp.scm 235 */

if(
CBOOL(BgL_ppz00_1341))
{ /* Unsafe/regexp.scm 237 */
 long BgL_inszd2lenzd2_1342; obj_t BgL_mzd2izd2_1343; obj_t BgL_mzd2nzd2_1344;
BgL_inszd2lenzd2_1342 = 
STRING_LENGTH(BgL_insz00_50); 
{ /* Unsafe/regexp.scm 238 */
 obj_t BgL_pairz00_1913;
BgL_pairz00_1913 = 
CAR(
((obj_t)BgL_ppz00_1341)); 
BgL_mzd2izd2_1343 = 
CAR(BgL_pairz00_1913); } 
{ /* Unsafe/regexp.scm 239 */
 obj_t BgL_pairz00_1917;
BgL_pairz00_1917 = 
CAR(
((obj_t)BgL_ppz00_1341)); 
BgL_mzd2nzd2_1344 = 
CDR(BgL_pairz00_1917); } 
return 
string_append_3(
c_substring(BgL_strz00_49, 0L, 
(long)CINT(BgL_mzd2izd2_1343)), 
BGl_pregexpzd2replacezd2auxz00zz__regexpz00(BgL_strz00_49, BgL_insz00_50, BgL_inszd2lenzd2_1342, BgL_ppz00_1341), 
c_substring(BgL_strz00_49, 
(long)CINT(BgL_mzd2nzd2_1344), BgL_nz00_1340));}  else 
{ /* Unsafe/regexp.scm 236 */
return BgL_strz00_49;} } } } } 

}



/* &pregexp-replace */
obj_t BGl_z62pregexpzd2replacezb0zz__regexpz00(obj_t BgL_envz00_2145, obj_t BgL_patz00_2146, obj_t BgL_strz00_2147, obj_t BgL_insz00_2148)
{
{ /* Unsafe/regexp.scm 233 */
{ /* Unsafe/regexp.scm 234 */
 obj_t BgL_auxz00_2753; obj_t BgL_auxz00_2746;
if(
STRINGP(BgL_insz00_2148))
{ /* Unsafe/regexp.scm 234 */
BgL_auxz00_2753 = BgL_insz00_2148
; }  else 
{ 
 obj_t BgL_auxz00_2756;
BgL_auxz00_2756 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(10050L), BGl_string1740z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_insz00_2148); 
FAILURE(BgL_auxz00_2756,BFALSE,BFALSE);} 
if(
STRINGP(BgL_strz00_2147))
{ /* Unsafe/regexp.scm 234 */
BgL_auxz00_2746 = BgL_strz00_2147
; }  else 
{ 
 obj_t BgL_auxz00_2749;
BgL_auxz00_2749 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(10050L), BGl_string1740z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_2147); 
FAILURE(BgL_auxz00_2749,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2replacezd2zz__regexpz00(BgL_patz00_2146, BgL_auxz00_2746, BgL_auxz00_2753);} } 

}



/* pregexp-replace* */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2replaceza2z70zz__regexpz00(obj_t BgL_patz00_51, obj_t BgL_strz00_52, obj_t BgL_insz00_53)
{
{ /* Unsafe/regexp.scm 248 */
{ /* Unsafe/regexp.scm 251 */
 obj_t BgL_patz00_1353; long BgL_nz00_1354; long BgL_inszd2lenzd2_1355;
if(
STRINGP(BgL_patz00_51))
{ /* Unsafe/regexp.scm 251 */
BgL_patz00_1353 = 
bgl_regcomp(BgL_patz00_51, BNIL, ((bool_t)1)); }  else 
{ /* Unsafe/regexp.scm 251 */
BgL_patz00_1353 = BgL_patz00_51; } 
BgL_nz00_1354 = 
STRING_LENGTH(BgL_strz00_52); 
BgL_inszd2lenzd2_1355 = 
STRING_LENGTH(BgL_insz00_53); 
{ 
 obj_t BgL_iz00_1357; obj_t BgL_rz00_1358;
BgL_iz00_1357 = 
BINT(0L); 
BgL_rz00_1358 = BGl_string1738z00zz__regexpz00; 
BgL_zc3z04anonymousza31307ze3z87_1359:
if(
(
(long)CINT(BgL_iz00_1357)>=BgL_nz00_1354))
{ /* Unsafe/regexp.scm 257 */
return BgL_rz00_1358;}  else 
{ /* Unsafe/regexp.scm 258 */
 obj_t BgL_ppz00_1361;
{ /* Unsafe/regexp.scm 77 */

BgL_ppz00_1361 = 
BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_1353, BgL_strz00_52, BgL_iz00_1357, 
BINT(BgL_nz00_1354), 
BINT(0L)); } 
if(
CBOOL(BgL_ppz00_1361))
{ /* Unsafe/regexp.scm 269 */
 obj_t BgL_arg1309z00_1362; obj_t BgL_arg1310z00_1363;
{ /* Unsafe/regexp.scm 269 */
 obj_t BgL_pairz00_1930;
BgL_pairz00_1930 = 
CAR(
((obj_t)BgL_ppz00_1361)); 
BgL_arg1309z00_1362 = 
CDR(BgL_pairz00_1930); } 
{ /* Unsafe/regexp.scm 272 */
 obj_t BgL_arg1311z00_1364; obj_t BgL_arg1312z00_1365;
{ /* Unsafe/regexp.scm 272 */
 obj_t BgL_arg1313z00_1366;
{ /* Unsafe/regexp.scm 272 */
 obj_t BgL_pairz00_1934;
BgL_pairz00_1934 = 
CAR(
((obj_t)BgL_ppz00_1361)); 
BgL_arg1313z00_1366 = 
CAR(BgL_pairz00_1934); } 
BgL_arg1311z00_1364 = 
c_substring(BgL_strz00_52, 
(long)CINT(BgL_iz00_1357), 
(long)CINT(BgL_arg1313z00_1366)); } 
BgL_arg1312z00_1365 = 
BGl_pregexpzd2replacezd2auxz00zz__regexpz00(BgL_strz00_52, BgL_insz00_53, BgL_inszd2lenzd2_1355, BgL_ppz00_1361); 
BgL_arg1310z00_1363 = 
string_append_3(BgL_rz00_1358, BgL_arg1311z00_1364, BgL_arg1312z00_1365); } 
{ 
 obj_t BgL_rz00_2786; obj_t BgL_iz00_2785;
BgL_iz00_2785 = BgL_arg1309z00_1362; 
BgL_rz00_2786 = BgL_arg1310z00_1363; 
BgL_rz00_1358 = BgL_rz00_2786; 
BgL_iz00_1357 = BgL_iz00_2785; 
goto BgL_zc3z04anonymousza31307ze3z87_1359;} }  else 
{ /* Unsafe/regexp.scm 259 */
if(
(
(long)CINT(BgL_iz00_1357)==0L))
{ /* Unsafe/regexp.scm 260 */
return BgL_strz00_52;}  else 
{ /* Unsafe/regexp.scm 260 */
return 
string_append(BgL_rz00_1358, 
c_substring(BgL_strz00_52, 
(long)CINT(BgL_iz00_1357), BgL_nz00_1354));} } } } } } 

}



/* &pregexp-replace* */
obj_t BGl_z62pregexpzd2replaceza2z12zz__regexpz00(obj_t BgL_envz00_2149, obj_t BgL_patz00_2150, obj_t BgL_strz00_2151, obj_t BgL_insz00_2152)
{
{ /* Unsafe/regexp.scm 248 */
{ /* Unsafe/regexp.scm 251 */
 obj_t BgL_auxz00_2801; obj_t BgL_auxz00_2794;
if(
STRINGP(BgL_insz00_2152))
{ /* Unsafe/regexp.scm 251 */
BgL_auxz00_2801 = BgL_insz00_2152
; }  else 
{ 
 obj_t BgL_auxz00_2804;
BgL_auxz00_2804 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(10674L), BGl_string1741z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_insz00_2152); 
FAILURE(BgL_auxz00_2804,BFALSE,BFALSE);} 
if(
STRINGP(BgL_strz00_2151))
{ /* Unsafe/regexp.scm 251 */
BgL_auxz00_2794 = BgL_strz00_2151
; }  else 
{ 
 obj_t BgL_auxz00_2797;
BgL_auxz00_2797 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(10674L), BGl_string1741z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_strz00_2151); 
FAILURE(BgL_auxz00_2797,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2replaceza2z70zz__regexpz00(BgL_patz00_2150, BgL_auxz00_2794, BgL_auxz00_2801);} } 

}



/* pregexp-quote */
BGL_EXPORTED_DEF obj_t BGl_pregexpzd2quotezd2zz__regexpz00(obj_t BgL_sz00_54)
{
{ /* Unsafe/regexp.scm 278 */
{ /* Unsafe/regexp.scm 279 */
 long BgL_g1052z00_1377;
BgL_g1052z00_1377 = 
(
STRING_LENGTH(BgL_sz00_54)-1L); 
{ 
 long BgL_iz00_1380; obj_t BgL_rz00_1381;
BgL_iz00_1380 = BgL_g1052z00_1377; 
BgL_rz00_1381 = BNIL; 
BgL_zc3z04anonymousza31318ze3z87_1382:
if(
(BgL_iz00_1380<0L))
{ /* Unsafe/regexp.scm 280 */
return 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_rz00_1381);}  else 
{ /* Unsafe/regexp.scm 282 */
 long BgL_arg1320z00_1384; obj_t BgL_arg1321z00_1385;
BgL_arg1320z00_1384 = 
(BgL_iz00_1380-1L); 
{ /* Unsafe/regexp.scm 283 */
 unsigned char BgL_cz00_1386;
BgL_cz00_1386 = 
STRING_REF(BgL_sz00_54, BgL_iz00_1380); 
if(
CBOOL(
BGl_memvz00zz__r4_pairs_and_lists_6_3z00(
BCHAR(BgL_cz00_1386), BGl_list1742z00zz__regexpz00)))
{ /* Unsafe/regexp.scm 286 */
 obj_t BgL_arg1325z00_1388;
BgL_arg1325z00_1388 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_cz00_1386), BgL_rz00_1381); 
BgL_arg1321z00_1385 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'\\')), BgL_arg1325z00_1388); }  else 
{ /* Unsafe/regexp.scm 284 */
BgL_arg1321z00_1385 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_cz00_1386), BgL_rz00_1381); } } 
{ 
 obj_t BgL_rz00_2827; long BgL_iz00_2826;
BgL_iz00_2826 = BgL_arg1320z00_1384; 
BgL_rz00_2827 = BgL_arg1321z00_1385; 
BgL_rz00_1381 = BgL_rz00_2827; 
BgL_iz00_1380 = BgL_iz00_2826; 
goto BgL_zc3z04anonymousza31318ze3z87_1382;} } } } } 

}



/* &pregexp-quote */
obj_t BGl_z62pregexpzd2quotezb0zz__regexpz00(obj_t BgL_envz00_2153, obj_t BgL_sz00_2154)
{
{ /* Unsafe/regexp.scm 278 */
{ /* Unsafe/regexp.scm 279 */
 obj_t BgL_auxz00_2828;
if(
STRINGP(BgL_sz00_2154))
{ /* Unsafe/regexp.scm 279 */
BgL_auxz00_2828 = BgL_sz00_2154
; }  else 
{ 
 obj_t BgL_auxz00_2831;
BgL_auxz00_2831 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1727z00zz__regexpz00, 
BINT(11635L), BGl_string1743z00zz__regexpz00, BGl_string1732z00zz__regexpz00, BgL_sz00_2154); 
FAILURE(BgL_auxz00_2831,BFALSE,BFALSE);} 
return 
BGl_pregexpzd2quotezd2zz__regexpz00(BgL_auxz00_2828);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__regexpz00(void)
{
{ /* Unsafe/regexp.scm 16 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__regexpz00(void)
{
{ /* Unsafe/regexp.scm 16 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__regexpz00(void)
{
{ /* Unsafe/regexp.scm 16 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__regexpz00(void)
{
{ /* Unsafe/regexp.scm 16 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1744z00zz__regexpz00));} 

}

#ifdef __cplusplus
}
#endif
