/*===========================================================================*/
/*   (Eval/everror.scm)                                                      */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/everror.scm -o objs/obj_p/Eval/everror.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVERROR_TYPE_DEFINITIONS
#define BGL___EVERROR_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62warningz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_argsz00;
} *BgL_z62warningz62_bglt;

typedef struct BgL_z62evalzd2warningzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_argsz00;
} *BgL_z62evalzd2warningzb0_bglt;


#endif // BGL___EVERROR_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t BGl_z62evalzd2warningzb0zz__objectz00;
static obj_t BGl_requirezd2initializa7ationz75zz__everrorz00 = BUNSPEC;
static obj_t BGl_z62evwarningz62zz__everrorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_z62evtypezd2errorzb0zz__everrorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__everrorz00(void);
BGL_EXPORTED_DECL obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
static obj_t BGl_genericzd2initzd2zz__everrorz00(void);
extern obj_t BGl_getzd2tracezd2stackz00zz__errorz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__everrorz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__everrorz00(void);
BGL_EXPORTED_DECL obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__everrorz00(void);
extern obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62evarityzd2errorzb0zz__everrorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_warningzd2notifyzd2zz__errorz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__everrorz00(void);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__everrorz00(void);
BGL_EXPORTED_DECL obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62everrorz62zz__everrorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol1570z00zz__everrorz00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_evarityzd2errorzd2envz00zz__everrorz00, BgL_bgl_za762evarityza7d2err1578z00, BGl_z62evarityzd2errorzb0zz__everrorz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evtypezd2errorzd2envz00zz__everrorz00, BgL_bgl_za762evtypeza7d2erro1579z00, BGl_z62evtypezd2errorzb0zz__everrorz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evwarningzd2envzd2zz__everrorz00, BgL_bgl_za762evwarningza762za71580za7, va_generic_entry, BGl_z62evwarningz62zz__everrorz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1571z00zz__everrorz00, BgL_bgl_string1571za700za7za7_1581za7, "at", 2 );
DEFINE_STRING( BGl_string1572z00zz__everrorz00, BgL_bgl_string1572za700za7za7_1582za7, "Wrong number of arguments: ~a expected, ~a provided ", 52 );
DEFINE_STRING( BGl_string1573z00zz__everrorz00, BgL_bgl_string1573za700za7za7_1583za7, "eval", 4 );
DEFINE_STRING( BGl_string1574z00zz__everrorz00, BgL_bgl_string1574za700za7za7_1584za7, "/builddir/build/BUILD/bigloo-4.5b/runtime/Eval/everror.scm", 58 );
DEFINE_STRING( BGl_string1575z00zz__everrorz00, BgL_bgl_string1575za700za7za7_1585za7, "&evarity-error", 14 );
DEFINE_STRING( BGl_string1576z00zz__everrorz00, BgL_bgl_string1576za700za7za7_1586za7, "bint", 4 );
DEFINE_STRING( BGl_string1577z00zz__everrorz00, BgL_bgl_string1577za700za7za7_1587za7, "__everror", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_everrorzd2envzd2zz__everrorz00, BgL_bgl_za762everrorza762za7za7_1588z00, BGl_z62everrorz62zz__everrorz00, 0L, BUNSPEC, 4 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__everrorz00) );
ADD_ROOT( (void *)(&BGl_symbol1570z00zz__everrorz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__everrorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"everror\" \"Eval/everror.scm\" 1941) \"BGl_everrorz00zz__everrorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&everror\" \"Eval/everror.scm\" 1941) \"BGl_z62everrorz62zz__everrorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"evtype-error\" \"Eval/everror.scm\" 2333) \"BGl_evtypezd2errorzd2zz__everrorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evtype-error\" \"Eval/everror.scm\" 2333) \"BGl_z62evtypezd2errorzb0zz__everrorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"evarity-error\" \"Eval/everror.scm\" 2757) \"BGl_evarityzd2errorzd2zz__everrorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evarity-error\" \"Eval/everror.scm\" 2757) \"BGl_z62evarityzd2errorzb0zz__everrorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"evwarning\" \"Eval/everror.scm\" 3169) \"BGl_evwarningz00zz__everrorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evwarning\" \"Eval/everror.scm\" 3169) \"BGl_z62evwarningz62zz__everrorz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long BgL_checksumz00_1818, char * BgL_fromz00_1819)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__everrorz00))
{ 
BGl_requirezd2initializa7ationz75zz__everrorz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__everrorz00(); 
BGl_cnstzd2initzd2zz__everrorz00(); 
BGl_importedzd2moduleszd2initz00zz__everrorz00(); 
return 
BGl_profzd2initzd2zz__everrorz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__everrorz00(void)
{
{ /* Eval/everror.scm 15 */
return ( 
BGl_symbol1570z00zz__everrorz00 = 
bstring_to_symbol(BGl_string1571z00zz__everrorz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__everrorz00(void)
{
{ /* Eval/everror.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__everrorz00(void)
{
{ /* Eval/everror.scm 15 */
return 
write_bprof_table();} 

}



/* everror */
BGL_EXPORTED_DEF obj_t BGl_everrorz00zz__everrorz00(obj_t BgL_locz00_3, obj_t BgL_procz00_4, obj_t BgL_mesz00_5, obj_t BgL_objz00_6)
{
{ /* Eval/everror.scm 55 */
{ 
 obj_t BgL_fnamez00_1122; obj_t BgL_locz00_1123;
if(
PAIRP(BgL_locz00_3))
{ /* Eval/everror.scm 56 */
 obj_t BgL_cdrzd2109zd2_1128;
BgL_cdrzd2109zd2_1128 = 
CDR(
((obj_t)BgL_locz00_3)); 
if(
(
CAR(
((obj_t)BgL_locz00_3))==BGl_symbol1570z00zz__everrorz00))
{ /* Eval/everror.scm 56 */
if(
PAIRP(BgL_cdrzd2109zd2_1128))
{ /* Eval/everror.scm 56 */
 obj_t BgL_cdrzd2113zd2_1132;
BgL_cdrzd2113zd2_1132 = 
CDR(BgL_cdrzd2109zd2_1128); 
if(
PAIRP(BgL_cdrzd2113zd2_1132))
{ /* Eval/everror.scm 56 */
if(
NULLP(
CDR(BgL_cdrzd2113zd2_1132)))
{ /* Eval/everror.scm 56 */
BgL_fnamez00_1122 = 
CAR(BgL_cdrzd2109zd2_1128); 
BgL_locz00_1123 = 
CAR(BgL_cdrzd2113zd2_1132); 
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_procz00_4, BgL_mesz00_5, BgL_objz00_6, BgL_fnamez00_1122, BgL_locz00_1123);}  else 
{ /* Eval/everror.scm 56 */
BgL_tagzd2102zd2_1125:
return 
BGl_errorz00zz__errorz00(BgL_procz00_4, BgL_mesz00_5, BgL_objz00_6);} }  else 
{ /* Eval/everror.scm 56 */
goto BgL_tagzd2102zd2_1125;} }  else 
{ /* Eval/everror.scm 56 */
goto BgL_tagzd2102zd2_1125;} }  else 
{ /* Eval/everror.scm 56 */
goto BgL_tagzd2102zd2_1125;} }  else 
{ /* Eval/everror.scm 56 */
goto BgL_tagzd2102zd2_1125;} } } 

}



/* &everror */
obj_t BGl_z62everrorz62zz__everrorz00(obj_t BgL_envz00_1798, obj_t BgL_locz00_1799, obj_t BgL_procz00_1800, obj_t BgL_mesz00_1801, obj_t BgL_objz00_1802)
{
{ /* Eval/everror.scm 55 */
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_1799, BgL_procz00_1800, BgL_mesz00_1801, BgL_objz00_1802);} 

}



/* evtype-error */
BGL_EXPORTED_DEF obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t BgL_locz00_7, obj_t BgL_procz00_8, obj_t BgL_mesz00_9, obj_t BgL_objz00_10)
{
{ /* Eval/everror.scm 65 */
{ 
 obj_t BgL_fnamez00_1140; obj_t BgL_locz00_1141;
if(
PAIRP(BgL_locz00_7))
{ /* Eval/everror.scm 66 */
 obj_t BgL_cdrzd2127zd2_1146;
BgL_cdrzd2127zd2_1146 = 
CDR(
((obj_t)BgL_locz00_7)); 
if(
(
CAR(
((obj_t)BgL_locz00_7))==BGl_symbol1570z00zz__everrorz00))
{ /* Eval/everror.scm 66 */
if(
PAIRP(BgL_cdrzd2127zd2_1146))
{ /* Eval/everror.scm 66 */
 obj_t BgL_cdrzd2131zd2_1150;
BgL_cdrzd2131zd2_1150 = 
CDR(BgL_cdrzd2127zd2_1146); 
if(
PAIRP(BgL_cdrzd2131zd2_1150))
{ /* Eval/everror.scm 66 */
if(
NULLP(
CDR(BgL_cdrzd2131zd2_1150)))
{ /* Eval/everror.scm 66 */
BgL_fnamez00_1140 = 
CAR(BgL_cdrzd2127zd2_1146); 
BgL_locz00_1141 = 
CAR(BgL_cdrzd2131zd2_1150); 
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_procz00_8, BgL_mesz00_9, BgL_objz00_10, BgL_fnamez00_1140, BgL_locz00_1141);}  else 
{ /* Eval/everror.scm 66 */
BgL_tagzd2120zd2_1143:
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_procz00_8, BgL_mesz00_9, BgL_objz00_10);} }  else 
{ /* Eval/everror.scm 66 */
goto BgL_tagzd2120zd2_1143;} }  else 
{ /* Eval/everror.scm 66 */
goto BgL_tagzd2120zd2_1143;} }  else 
{ /* Eval/everror.scm 66 */
goto BgL_tagzd2120zd2_1143;} }  else 
{ /* Eval/everror.scm 66 */
goto BgL_tagzd2120zd2_1143;} } } 

}



/* &evtype-error */
obj_t BGl_z62evtypezd2errorzb0zz__everrorz00(obj_t BgL_envz00_1803, obj_t BgL_locz00_1804, obj_t BgL_procz00_1805, obj_t BgL_mesz00_1806, obj_t BgL_objz00_1807)
{
{ /* Eval/everror.scm 65 */
return 
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_1804, BgL_procz00_1805, BgL_mesz00_1806, BgL_objz00_1807);} 

}



/* evarity-error */
BGL_EXPORTED_DEF obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t BgL_locz00_11, obj_t BgL_namez00_12, int BgL_providez00_13, int BgL_expectz00_14)
{
{ /* Eval/everror.scm 75 */
{ /* Eval/everror.scm 76 */
 obj_t BgL_msgz00_1158;
{ /* Eval/everror.scm 76 */
 obj_t BgL_list1188z00_1159;
{ /* Eval/everror.scm 76 */
 obj_t BgL_arg1189z00_1160;
BgL_arg1189z00_1160 = 
MAKE_YOUNG_PAIR(
BINT(BgL_providez00_13), BNIL); 
BgL_list1188z00_1159 = 
MAKE_YOUNG_PAIR(
BINT(BgL_expectz00_14), BgL_arg1189z00_1160); } 
BgL_msgz00_1158 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1572z00zz__everrorz00, BgL_list1188z00_1159); } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_11, BGl_string1573z00zz__everrorz00, BgL_msgz00_1158, BgL_namez00_12);} } 

}



/* &evarity-error */
obj_t BGl_z62evarityzd2errorzb0zz__everrorz00(obj_t BgL_envz00_1808, obj_t BgL_locz00_1809, obj_t BgL_namez00_1810, obj_t BgL_providez00_1811, obj_t BgL_expectz00_1812)
{
{ /* Eval/everror.scm 75 */
{ /* Eval/everror.scm 76 */
 int BgL_auxz00_1887; int BgL_auxz00_1878;
{ /* Eval/everror.scm 76 */
 obj_t BgL_tmpz00_1888;
if(
INTEGERP(BgL_expectz00_1812))
{ /* Eval/everror.scm 76 */
BgL_tmpz00_1888 = BgL_expectz00_1812
; }  else 
{ 
 obj_t BgL_auxz00_1891;
BgL_auxz00_1891 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1574z00zz__everrorz00, 
BINT(2808L), BGl_string1575z00zz__everrorz00, BGl_string1576z00zz__everrorz00, BgL_expectz00_1812); 
FAILURE(BgL_auxz00_1891,BFALSE,BFALSE);} 
BgL_auxz00_1887 = 
CINT(BgL_tmpz00_1888); } 
{ /* Eval/everror.scm 76 */
 obj_t BgL_tmpz00_1879;
if(
INTEGERP(BgL_providez00_1811))
{ /* Eval/everror.scm 76 */
BgL_tmpz00_1879 = BgL_providez00_1811
; }  else 
{ 
 obj_t BgL_auxz00_1882;
BgL_auxz00_1882 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1574z00zz__everrorz00, 
BINT(2808L), BGl_string1575z00zz__everrorz00, BGl_string1576z00zz__everrorz00, BgL_providez00_1811); 
FAILURE(BgL_auxz00_1882,BFALSE,BFALSE);} 
BgL_auxz00_1878 = 
CINT(BgL_tmpz00_1879); } 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_1809, BgL_namez00_1810, BgL_auxz00_1878, BgL_auxz00_1887);} } 

}



/* evwarning */
BGL_EXPORTED_DEF obj_t BGl_evwarningz00zz__everrorz00(obj_t BgL_locz00_15, obj_t BgL_argsz00_16)
{
{ /* Eval/everror.scm 83 */
{ 
 obj_t BgL_fnamez00_1161; obj_t BgL_locz00_1162;
if(
PAIRP(BgL_locz00_15))
{ /* Eval/everror.scm 84 */
 obj_t BgL_cdrzd2145zd2_1167;
BgL_cdrzd2145zd2_1167 = 
CDR(
((obj_t)BgL_locz00_15)); 
if(
(
CAR(
((obj_t)BgL_locz00_15))==BGl_symbol1570z00zz__everrorz00))
{ /* Eval/everror.scm 84 */
if(
PAIRP(BgL_cdrzd2145zd2_1167))
{ /* Eval/everror.scm 84 */
 obj_t BgL_cdrzd2149zd2_1171;
BgL_cdrzd2149zd2_1171 = 
CDR(BgL_cdrzd2145zd2_1167); 
if(
PAIRP(BgL_cdrzd2149zd2_1171))
{ /* Eval/everror.scm 84 */
if(
NULLP(
CDR(BgL_cdrzd2149zd2_1171)))
{ /* Eval/everror.scm 84 */
BgL_fnamez00_1161 = 
CAR(BgL_cdrzd2145zd2_1167); 
BgL_locz00_1162 = 
CAR(BgL_cdrzd2149zd2_1171); 
{ /* Eval/everror.scm 87 */
 BgL_z62evalzd2warningzb0_bglt BgL_arg1215z00_1179;
{ /* Eval/everror.scm 87 */
 BgL_z62evalzd2warningzb0_bglt BgL_new1038z00_1180;
{ /* Eval/everror.scm 88 */
 BgL_z62evalzd2warningzb0_bglt BgL_new1037z00_1182;
BgL_new1037z00_1182 = 
((BgL_z62evalzd2warningzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62evalzd2warningzb0_bgl) ))); 
{ /* Eval/everror.scm 88 */
 long BgL_arg1216z00_1183;
BgL_arg1216z00_1183 = 
BGL_CLASS_NUM(BGl_z62evalzd2warningzb0zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1037z00_1182), BgL_arg1216z00_1183); } 
BgL_new1038z00_1180 = BgL_new1037z00_1182; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1038z00_1180)))->BgL_fnamez00)=((obj_t)BgL_fnamez00_1161),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1038z00_1180)))->BgL_locationz00)=((obj_t)BgL_locz00_1162),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1921;
{ /* Eval/everror.scm 90 */

{ /* Eval/everror.scm 90 */

BgL_auxz00_1921 = 
BGl_getzd2tracezd2stackz00zz__errorz00(BFALSE); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1038z00_1180)))->BgL_stackz00)=((obj_t)BgL_auxz00_1921),BUNSPEC); } 
((((BgL_z62warningz62_bglt)COBJECT(
((BgL_z62warningz62_bglt)BgL_new1038z00_1180)))->BgL_argsz00)=((obj_t)BgL_argsz00_16),BUNSPEC); 
BgL_arg1215z00_1179 = BgL_new1038z00_1180; } 
return 
BGl_warningzd2notifyzd2zz__errorz00(
((obj_t)BgL_arg1215z00_1179));} }  else 
{ /* Eval/everror.scm 84 */
BgL_tagzd2138zd2_1164:
{ /* Eval/everror.scm 94 */
 BgL_z62evalzd2warningzb0_bglt BgL_arg1227z00_1184;
{ /* Eval/everror.scm 94 */
 BgL_z62evalzd2warningzb0_bglt BgL_new1040z00_1185;
{ /* Eval/everror.scm 95 */
 BgL_z62evalzd2warningzb0_bglt BgL_new1039z00_1187;
BgL_new1039z00_1187 = 
((BgL_z62evalzd2warningzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62evalzd2warningzb0_bgl) ))); 
{ /* Eval/everror.scm 95 */
 long BgL_arg1229z00_1188;
BgL_arg1229z00_1188 = 
BGL_CLASS_NUM(BGl_z62evalzd2warningzb0zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1039z00_1187), BgL_arg1229z00_1188); } 
BgL_new1040z00_1185 = BgL_new1039z00_1187; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1040z00_1185)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1040z00_1185)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1939;
{ /* Eval/everror.scm 97 */

{ /* Eval/everror.scm 97 */

BgL_auxz00_1939 = 
BGl_getzd2tracezd2stackz00zz__errorz00(BFALSE); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1040z00_1185)))->BgL_stackz00)=((obj_t)BgL_auxz00_1939),BUNSPEC); } 
((((BgL_z62warningz62_bglt)COBJECT(
((BgL_z62warningz62_bglt)BgL_new1040z00_1185)))->BgL_argsz00)=((obj_t)BgL_argsz00_16),BUNSPEC); 
BgL_arg1227z00_1184 = BgL_new1040z00_1185; } 
return 
BGl_warningzd2notifyzd2zz__errorz00(
((obj_t)BgL_arg1227z00_1184));} } }  else 
{ /* Eval/everror.scm 84 */
goto BgL_tagzd2138zd2_1164;} }  else 
{ /* Eval/everror.scm 84 */
goto BgL_tagzd2138zd2_1164;} }  else 
{ /* Eval/everror.scm 84 */
goto BgL_tagzd2138zd2_1164;} }  else 
{ /* Eval/everror.scm 84 */
goto BgL_tagzd2138zd2_1164;} } } 

}



/* &evwarning */
obj_t BGl_z62evwarningz62zz__everrorz00(obj_t BgL_envz00_1813, obj_t BgL_locz00_1814, obj_t BgL_argsz00_1815)
{
{ /* Eval/everror.scm 83 */
return 
BGl_evwarningz00zz__everrorz00(BgL_locz00_1814, BgL_argsz00_1815);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__everrorz00(void)
{
{ /* Eval/everror.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__everrorz00(void)
{
{ /* Eval/everror.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__everrorz00(void)
{
{ /* Eval/everror.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__everrorz00(void)
{
{ /* Eval/everror.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(121046086L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(475449627L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(536217185L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(128218210L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(43287392L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(6519932L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(310000171L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(377164741L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(149516032L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(481261960L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(54297095L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(237870368L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(268155843L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(473309430L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(460262918L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(-44273703L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(496722665L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L, 
BSTRING_TO_STRING(BGl_string1577z00zz__everrorz00));} 

}

#ifdef __cplusplus
}
#endif
